import Foundation
import NumberEight
import Insights

// swiftlint:disable line_length
internal let kAudienceDefinitions = [
    BasicAudience(name: "Stationary", id: "NE-100-1", topic: kNETopicActivity, value: "^(.*,)?stationary(,.*)?$", iab: []),
    BasicAudience(name: "Walking", id: "NE-100-2", topic: kNETopicActivity, value: "^(.*,)?walking(,.*)?$", iab: []),
    BasicAudience(name: "Running", id: "NE-100-3", topic: kNETopicActivity, value: "^(.*,)?running(,.*)?$", iab: [IABAudience(id: "410"), IABAudience(id: "1591", extensions: ["PIFI2"]), IABAudience(id: "419"), IABAudience(id: "762", extensions: ["PIFI2"])]),
    BasicAudience(name: "Cycling", id: "NE-100-4", topic: kNETopicActivity, value: "^(.*,)?cycling(,.*)?$", iab: []),
    BasicAudience(name: "In Vehicle", id: "NE-100-5", topic: kNETopicActivity, value: "^(.*,)?in-vehicle(,.*)?$", iab: [IABAudience(id: "1657", extensions: ["PIFI2"]), IABAudience(id: "1658", extensions: ["PIFI2"]), IABAudience(id: "1668", extensions: ["PIFI2"])]),
    BasicAudience(name: "Bus", id: "NE-100-6", topic: kNETopicActivity, value: "^(.*,)?bus(,.*)?$", iab: []),
    BasicAudience(name: "Car", id: "NE-100-7", topic: kNETopicActivity, value: "^(.*,)?car(,.*)?$", iab: []),
    BasicAudience(name: "Motorbike", id: "NE-100-8", topic: kNETopicActivity, value: "^(.*,)?motorbike(,.*)?$", iab: []),
    BasicAudience(name: "Subway", id: "NE-100-9", topic: kNETopicActivity, value: "^(.*,)?subway(,.*)?$", iab: []),
    BasicAudience(name: "Train", id: "NE-100-10", topic: kNETopicActivity, value: "^(.*,)?train(,.*)?$", iab: []),
    BasicAudience(name: "Tram", id: "NE-100-11", topic: kNETopicActivity, value: "^(.*,)?tram(,.*)?$", iab: []),
    BasicAudience(name: "Boat", id: "NE-100-12", topic: kNETopicActivity, value: "^(.*,)?boat(,.*)?$", iab: []),
    BasicAudience(name: "Aircraft", id: "NE-100-13", topic: kNETopicActivity, value: "^(.*,)?aircraft(,.*)?$", iab: []),
    BasicAudience(name: "Indoor", id: "NE-101-1", topic: kNETopicIndoorOutdoor, value: "^(.*,)?indoor(,.*)?$", iab: []),
    BasicAudience(name: "Outdoor", id: "NE-101-2", topic: kNETopicIndoorOutdoor, value: "^(.*,)?outdoor(,.*)?$", iab: []),
    BasicAudience(name: "Enclosed", id: "NE-101-3", topic: kNETopicIndoorOutdoor, value: "^(.*,)?enclosed(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Housework", id: "NE-102-1", topic: kNETopicSituation, value: "^(.*,)?housework(,.*)?$", iab: [IABAudience(id: "460"), IABAudience(id: "1315", extensions: ["PIFI3"])]),
    BasicAudience(name: "In Situation: Leisure", id: "NE-102-2", topic: kNETopicSituation, value: "^(.*,)?leisure(,.*)?$", iab: [IABAudience(id: "779", extensions: ["PIFI1"]), IABAudience(id: "1649", extensions: ["PIFI1"]), IABAudience(id: "1591", extensions: ["PIFI1"]), IABAudience(id: "755", extensions: ["PIFI1"]), IABAudience(id: "758", extensions: ["PIFI1"]), IABAudience(id: "760", extensions: ["PIFI1"]), IABAudience(id: "761", extensions: ["PIFI1"]), IABAudience(id: "763", extensions: ["PIFI1"]), IABAudience(id: "766", extensions: ["PIFI1"]), IABAudience(id: "773", extensions: ["PIFI1"]), IABAudience(id: "776", extensions: ["PIFI1"])]),
    BasicAudience(name: "In Situation: Morning Rituals", id: "NE-102-3", topic: kNETopicSituation, value: "^(.*,)?morning-rituals(,.*)?$", iab: [IABAudience(id: "392"), IABAudience(id: "398"), IABAudience(id: "1020", extensions: ["PIFI3"]), IABAudience(id: "1067", extensions: ["PIFI3"]), IABAudience(id: "378")]),
    BasicAudience(name: "In Situation: Shopping", id: "NE-102-4", topic: kNETopicSituation, value: "^(.*,)?shopping(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Sleeping", id: "NE-102-5", topic: kNETopicSituation, value: "^(.*,)?sleeping(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Social", id: "NE-102-6", topic: kNETopicSituation, value: "^(.*,)?social(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Travelling", id: "NE-102-7", topic: kNETopicSituation, value: "^(.*,)?travelling(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Working", id: "NE-102-8", topic: kNETopicSituation, value: "^(.*,)?working(,.*)?$", iab: [IABAudience(id: "338"), IABAudience(id: "304"), IABAudience(id: "770"), IABAudience(id: "871", extensions: ["PIFI1"]), IABAudience(id: "946", extensions: ["PIFI2"]), IABAudience(id: "953", extensions: ["PIFI2"]), IABAudience(id: "954", extensions: ["PIFI2"]), IABAudience(id: "965", extensions: ["PIFI2"]), IABAudience(id: "1368", extensions: ["PIFI2"]), IABAudience(id: "1506", extensions: ["PIFI2"]), IABAudience(id: "1546", extensions: ["PIFI2"])]),
    BasicAudience(name: "In Situation: Working Out", id: "NE-102-9", topic: kNETopicSituation, value: "^(.*,)?working-out(,.*)?$", iab: [IABAudience(id: "1591", extensions: ["PIFI2"]), IABAudience(id: "408"), IABAudience(id: "762", extensions: ["PIFI2"]), IABAudience(id: "1633", extensions: ["PIFI2"])]),
    BasicAudience(name: "In Situation: At A Beach", id: "NE-102-10", topic: kNETopicSituation, value: "^(.*,)?at-a-beach(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: At A Gym", id: "NE-102-11", topic: kNETopicSituation, value: "^(.*,)?at-a-gym(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: At A Library", id: "NE-102-12", topic: kNETopicSituation, value: "^(.*,)?at-a-library(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Browsing Gardens", id: "NE-102-13", topic: kNETopicSituation, value: "^(.*,)?browsing-gardens(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Camping", id: "NE-102-14", topic: kNETopicSituation, value: "^(.*,)?camping(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Clubbing", id: "NE-102-15", topic: kNETopicSituation, value: "^(.*,)?clubbing(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Dining", id: "NE-102-16", topic: kNETopicSituation, value: "^(.*,)?dining(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Having Coffee", id: "NE-102-17", topic: kNETopicSituation, value: "^(.*,)?having-coffee(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Having Drinks", id: "NE-102-18", topic: kNETopicSituation, value: "^(.*,)?having-drinks(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: In An Office", id: "NE-102-19", topic: kNETopicSituation, value: "^(.*,)?in-an-office(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: In A Park", id: "NE-102-20", topic: kNETopicSituation, value: "^(.*,)?in-a-park(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Leisure Travel", id: "NE-102-21", topic: kNETopicSituation, value: "^(.*,)?leisure-travel(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Major Event", id: "NE-102-22", topic: kNETopicSituation, value: "^(.*,)?major-event(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Outdoor Sports", id: "NE-102-23", topic: kNETopicSituation, value: "^(.*,)?outdoor-sports(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Partying", id: "NE-102-24", topic: kNETopicSituation, value: "^(.*,)?partying(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Viewing Art", id: "NE-102-25", topic: kNETopicSituation, value: "^(.*,)?viewing-art(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Watching Movies", id: "NE-102-26", topic: kNETopicSituation, value: "^(.*,)?watching-movies(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Work Travel", id: "NE-102-27", topic: kNETopicSituation, value: "^(.*,)?work-travel(,.*)?$", iab: []),
    BasicAudience(name: "In Situation: Working At Home", id: "NE-102-28", topic: kNETopicSituation, value: "^(.*,)?working,at-home(,.*)?$", iab: [IABAudience(id: "25"), IABAudience(id: "342"), IABAudience(id: "770"), IABAudience(id: "871", extensions: ["PIFI1"]), IABAudience(id: "946", extensions: ["PIFI2"]), IABAudience(id: "953", extensions: ["PIFI2"]), IABAudience(id: "954", extensions: ["PIFI2"]), IABAudience(id: "965", extensions: ["PIFI2"]), IABAudience(id: "1368", extensions: ["PIFI2"]), IABAudience(id: "1506", extensions: ["PIFI2"]), IABAudience(id: "1546", extensions: ["PIFI2"])]),
    BasicAudience(name: "At Place: Academic", id: "NE-103-1", topic: kNETopicPlace, value: "^(.*,)?academic(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Commercial", id: "NE-103-2", topic: kNETopicPlace, value: "^(.*,)?commercial(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Cultural", id: "NE-103-3", topic: kNETopicPlace, value: "^(.*,)?cultural(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Entertainment", id: "NE-103-4", topic: kNETopicPlace, value: "^(.*,)?entertainment(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Food And Drink", id: "NE-103-5", topic: kNETopicPlace, value: "^(.*,)?food-and-drink(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Office", id: "NE-103-6", topic: kNETopicPlace, value: "^(.*,)?office(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Recreational", id: "NE-103-7", topic: kNETopicPlace, value: "^(.*,)?recreational(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Residential", id: "NE-103-8", topic: kNETopicPlace, value: "^(.*,)?residential(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Shops And Services", id: "NE-103-9", topic: kNETopicPlace, value: "^(.*,)?shops-and-services(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Sport", id: "NE-103-10", topic: kNETopicPlace, value: "^(.*,)?sport(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Transportation", id: "NE-103-11", topic: kNETopicPlace, value: "^(.*,)?transportation(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Library", id: "NE-103-12", topic: kNETopicPlace, value: "^(.*,)?library(,.*)?$", iab: []),
    BasicAudience(name: "At Place: School", id: "NE-103-13", topic: kNETopicPlace, value: "^(.*,)?school(,.*)?$", iab: []),
    BasicAudience(name: "At Place: University", id: "NE-103-14", topic: kNETopicPlace, value: "^(.*,)?university(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Art Gallery", id: "NE-103-15", topic: kNETopicPlace, value: "^(.*,)?art-gallery(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Exhibition", id: "NE-103-16", topic: kNETopicPlace, value: "^(.*,)?exhibition(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Historic Site", id: "NE-103-17", topic: kNETopicPlace, value: "^(.*,)?historic-site(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Museum", id: "NE-103-18", topic: kNETopicPlace, value: "^(.*,)?museum(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Cinema", id: "NE-103-19", topic: kNETopicPlace, value: "^(.*,)?cinema(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Concert", id: "NE-103-20", topic: kNETopicPlace, value: "^(.*,)?concert(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Festival", id: "NE-103-21", topic: kNETopicPlace, value: "^(.*,)?festival(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Stadium", id: "NE-103-22", topic: kNETopicPlace, value: "^(.*,)?stadium(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Bar", id: "NE-103-23", topic: kNETopicPlace, value: "^(.*,)?bar(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Cafe", id: "NE-103-24", topic: kNETopicPlace, value: "^(.*,)?cafe(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Food Court", id: "NE-103-25", topic: kNETopicPlace, value: "^(.*,)?food-court(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Nightclub", id: "NE-103-26", topic: kNETopicPlace, value: "^(.*,)?nightclub(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Restaurant", id: "NE-103-27", topic: kNETopicPlace, value: "^(.*,)?restaurant(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Beach", id: "NE-103-28", topic: kNETopicPlace, value: "^(.*,)?beach(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Campsite", id: "NE-103-29", topic: kNETopicPlace, value: "^(.*,)?campsite(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Gardens", id: "NE-103-30", topic: kNETopicPlace, value: "^(.*,)?gardens(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Hotel", id: "NE-103-31", topic: kNETopicPlace, value: "^(.*,)?hotel(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Lake", id: "NE-103-32", topic: kNETopicPlace, value: "^(.*,)?lake(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Nature Site", id: "NE-103-33", topic: kNETopicPlace, value: "^(.*,)?nature-site(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Park", id: "NE-103-34", topic: kNETopicPlace, value: "^(.*,)?park(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Recreation Centre", id: "NE-103-35", topic: kNETopicPlace, value: "^(.*,)?recreation-centre(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Antiques Shop", id: "NE-103-36", topic: kNETopicPlace, value: "^(.*,)?antiques-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Art Shop", id: "NE-103-37", topic: kNETopicPlace, value: "^(.*,)?art-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Bank", id: "NE-103-38", topic: kNETopicPlace, value: "^(.*,)?bank(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Bicycle Shop", id: "NE-103-39", topic: kNETopicPlace, value: "^(.*,)?bicycle-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Book Shop", id: "NE-103-40", topic: kNETopicPlace, value: "^(.*,)?book-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Car Dealership", id: "NE-103-41", topic: kNETopicPlace, value: "^(.*,)?car-dealership(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Charity", id: "NE-103-42", topic: kNETopicPlace, value: "^(.*,)?charity(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Clothing Shop", id: "NE-103-43", topic: kNETopicPlace, value: "^(.*,)?clothing-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Convenience Store", id: "NE-103-44", topic: kNETopicPlace, value: "^(.*,)?convenience-store(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Cosmetics Shop", id: "NE-103-45", topic: kNETopicPlace, value: "^(.*,)?cosmetics-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Crafts Shop", id: "NE-103-46", topic: kNETopicPlace, value: "^(.*,)?crafts-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Department Store", id: "NE-103-47", topic: kNETopicPlace, value: "^(.*,)?department-store(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Electronics Shop", id: "NE-103-48", topic: kNETopicPlace, value: "^(.*,)?electronics-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Fishing Shop", id: "NE-103-49", topic: kNETopicPlace, value: "^(.*,)?fishing-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Florist", id: "NE-103-50", topic: kNETopicPlace, value: "^(.*,)?florist(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Footwear Shop", id: "NE-103-51", topic: kNETopicPlace, value: "^(.*,)?footwear-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Hair Salon", id: "NE-103-52", topic: kNETopicPlace, value: "^(.*,)?hair-salon(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Hardware Shop", id: "NE-103-53", topic: kNETopicPlace, value: "^(.*,)?hardware-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Health And Beauty", id: "NE-103-54", topic: kNETopicPlace, value: "^(.*,)?health-and-beauty(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Homewares Shop", id: "NE-103-55", topic: kNETopicPlace, value: "^(.*,)?homewares-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Hunting Shop", id: "NE-103-56", topic: kNETopicPlace, value: "^(.*,)?hunting-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Luxury Shop", id: "NE-103-57", topic: kNETopicPlace, value: "^(.*,)?luxury-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Market", id: "NE-103-58", topic: kNETopicPlace, value: "^(.*,)?market(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Music Shop", id: "NE-103-59", topic: kNETopicPlace, value: "^(.*,)?music-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Outdoors Shop", id: "NE-103-60", topic: kNETopicPlace, value: "^(.*,)?outdoors-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Pet Services", id: "NE-103-61", topic: kNETopicPlace, value: "^(.*,)?pet-services(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Pet Shop", id: "NE-103-62", topic: kNETopicPlace, value: "^(.*,)?pet-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Postal Service", id: "NE-103-63", topic: kNETopicPlace, value: "^(.*,)?postal-service(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Real Estate Agent", id: "NE-103-64", topic: kNETopicPlace, value: "^(.*,)?real-estate-agent(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Service Station", id: "NE-103-65", topic: kNETopicPlace, value: "^(.*,)?service-station(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Shopping Mall", id: "NE-103-66", topic: kNETopicPlace, value: "^(.*,)?shopping-mall(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Speciality Foods Shop", id: "NE-103-67", topic: kNETopicPlace, value: "^(.*,)?speciality-foods-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Sports Shop", id: "NE-103-68", topic: kNETopicPlace, value: "^(.*,)?sports-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Supermarket Tier 1", id: "NE-103-69", topic: kNETopicPlace, value: "^(.*,)?supermarket-tier-1(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Supermarket Tier 2", id: "NE-103-70", topic: kNETopicPlace, value: "^(.*,)?supermarket-tier-2(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Supermarket Tier 3", id: "NE-103-71", topic: kNETopicPlace, value: "^(.*,)?supermarket-tier-3(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Toy Shop", id: "NE-103-72", topic: kNETopicPlace, value: "^(.*,)?toy-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Travel Agents", id: "NE-103-73", topic: kNETopicPlace, value: "^(.*,)?travel-agents(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Vehicle Parts Shop", id: "NE-103-74", topic: kNETopicPlace, value: "^(.*,)?vehicle-parts-shop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Vehicle Services", id: "NE-103-75", topic: kNETopicPlace, value: "^(.*,)?vehicle-services(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Vehicle Rental", id: "NE-103-76", topic: kNETopicPlace, value: "^(.*,)?vehicle-rental(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Gym", id: "NE-103-77", topic: kNETopicPlace, value: "^(.*,)?gym(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Sports Facility", id: "NE-103-78", topic: kNETopicPlace, value: "^(.*,)?sports-facility(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Sports Field", id: "NE-103-79", topic: kNETopicPlace, value: "^(.*,)?sports-field(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Airport", id: "NE-103-80", topic: kNETopicPlace, value: "^(.*,)?airport(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Bus Stop", id: "NE-103-81", topic: kNETopicPlace, value: "^(.*,)?bus-stop(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Port", id: "NE-103-82", topic: kNETopicPlace, value: "^(.*,)?port(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Subway Station", id: "NE-103-83", topic: kNETopicPlace, value: "^(.*,)?subway-station(,.*)?$", iab: []),
    BasicAudience(name: "At Place: Train Station", id: "NE-103-84", topic: kNETopicPlace, value: "^(.*,)?train-station(,.*)?$", iab: []),
    BasicAudience(name: "Home:At Place", id: "NE-104-1", topic: kNETopicPlace, value: "^(.*,)?home:at-place(,.*)?$", iab: []),
    BasicAudience(name: "Home:Not At Place", id: "NE-104-2", topic: kNETopicPlace, value: "^(.*,)?home:not-at-place(,.*)?$", iab: []),
    BasicAudience(name: "Work:At Place", id: "NE-104-3", topic: kNETopicPlace, value: "^(.*,)?work:at-place(,.*)?$", iab: []),
    BasicAudience(name: "Work:Not At Place", id: "NE-104-4", topic: kNETopicPlace, value: "^(.*,)?work:not-at-place(,.*)?$", iab: []),
    BasicAudience(name: "Headphones Connected", id: "NE-106-1", topic: kNETopicHeadphones, value: "^connected$", iab: []),
    BasicAudience(name: "Headphones Disconnected", id: "NE-106-2", topic: kNETopicHeadphones, value: "^disconnected$", iab: []),
    BasicAudience(name: "Wired Headphones Connected", id: "NE-106-3", topic: kNETopicHeadphonesWired, value: "^connected$", iab: []),
    BasicAudience(name: "Wired Headphones Disconnected", id: "NE-106-4", topic: kNETopicHeadphonesWired, value: "^disconnected$", iab: []),
    BasicAudience(name: "Wireless Headphones Connected", id: "NE-106-5", topic: kNETopicHeadphonesBluetooth, value: "^connected$", iab: []),
    BasicAudience(name: "Wireless Headphones Disconnected", id: "NE-106-6", topic: kNETopicHeadphonesBluetooth, value: "^disconnected$", iab: []),

    // Reachability/Connection Performance
    BasicAudience(name: "Cellular Off", id: "NE-113-1", topic: kNETopicReachability, value: "^(.*,)?cell-off(,.*)?$", iab: []),
    BasicAudience(name: "No Service", id: "NE-113-2", topic: kNETopicReachability, value: "^(.*,)?no-service(,.*)?$", iab: []),
    BasicAudience(name: "In Service", id: "NE-113-3", topic: kNETopicReachability, value: "^(.*,)?cell-off(,.*)?$", iab: []),
    BasicAudience(name: "Cellular Data Off", id: "NE-113-4", topic: kNETopicReachability, value: "^(.*,)?cell-data-off(,.*)?$", iab: []),
    BasicAudience(name: "Cellular Data Disconnected", id: "NE-113-5", topic: kNETopicReachability, value: "^(.*,)?no-cell-data(,.*)?$", iab: []),
    BasicAudience(name: "Cellular Data Connected", id: "NE-113-6", topic: kNETopicReachability, value: "^(.*,)?cell-data(,.*)?$", iab: []),
    BasicAudience(name: "Wifi Off", id: "NE-113-7", topic: kNETopicReachability, value: "^(.*,)?wifi-off(,.*)?$", iab: []),
    BasicAudience(name: "Wifi Disconnected", id: "NE-113-8", topic: kNETopicReachability, value: "^(.*,)?no-wifi(,.*)?$", iab: []),
    BasicAudience(name: "Wifi Connected", id: "NE-113-9", topic: kNETopicReachability, value: "^(.*,)?wifi(,.*)?$", iab: []),
    // Slow connection NE-113-10, removed in v3.10
    BasicAudience(name: "Metered Connection", id: "NE-113-11", topic: kNETopicReachability, value: "^(.*,)?m[s-][i-]$", iab: []),
    BasicAudience(name: "Has Internet", id: "NE-113-12", topic: kNETopicReachability, value: "^(.*,)?[m-][s-]i$", iab: []),
    BasicAudience(name: "Poor Connection", id: "NE-113-13", topic: kNETopicConnectionPerformance, value: "^2$", iab: []),
    BasicAudience(name: "Average Connection", id: "NE-113-14", topic: kNETopicConnectionPerformance, value: "^1$", iab: []),
    BasicAudience(name: "Good Connection", id: "NE-113-15", topic: kNETopicConnectionPerformance, value: "^0$", iab: []),

    BasicAudience(name: "On Surface", id: "NE-105-1", topic: kNETopicDevicePosition, value: "^(.*,)?on-surface(,.*)?$", iab: []),
    BasicAudience(name: "Sideways", id: "NE-105-10", topic: kNETopicDevicePosition, value: "^(.*,)?sideways(,.*)?$", iab: []),
    BasicAudience(name: "Pointing Up", id: "NE-105-11", topic: kNETopicDevicePosition, value: "^(.*,)?point-up(,.*)?$", iab: []),
    BasicAudience(name: "Pointing Down", id: "NE-105-12", topic: kNETopicDevicePosition, value: "^(.*,)?point-down(,.*)?$", iab: []),
    BasicAudience(name: "In Hand", id: "NE-105-2", topic: kNETopicDevicePosition, value: "^(.*,)?in-hand(,.*)?$", iab: []),
    BasicAudience(name: "In Pocket", id: "NE-105-3", topic: kNETopicDevicePosition, value: "^(.*,)?in-pocket(,.*)?$", iab: []),
    BasicAudience(name: "Against Ear", id: "NE-105-4", topic: kNETopicDevicePosition, value: "^(.*,)?against-ear(,.*)?$", iab: []),
    BasicAudience(name: "In Bag", id: "NE-105-5", topic: kNETopicDevicePosition, value: "^(.*,)?in-bag(,.*)?$", iab: []),
    BasicAudience(name: "On Arm", id: "NE-105-6", topic: kNETopicDevicePosition, value: "^(.*,)?on-arm(,.*)?$", iab: []),
    BasicAudience(name: "In Dock", id: "NE-105-7", topic: kNETopicDevicePosition, value: "^(.*,)?in-dock(,.*)?$", iab: []),
    BasicAudience(name: "Face Up", id: "NE-105-8", topic: kNETopicDevicePosition, value: "^(.*,)?face-up(,.*)?$", iab: []),
    BasicAudience(name: "Face Down", id: "NE-105-9", topic: kNETopicDevicePosition, value: "^(.*,)?face-down(,.*)?$", iab: []),
    BasicAudience(name: "Early Morning", id: "NE-107-1", topic: kNETopicTime, value: "^(.*,)?early-morning(,.*)?$", iab: []),
    BasicAudience(name: "Weekday", id: "NE-107-10", topic: kNETopicTime, value: "^(.*,)?weekday(,.*)?$", iab: []),
    BasicAudience(name: "Weekend", id: "NE-107-11", topic: kNETopicTime, value: "^(.*,)?weekend(,.*)?$", iab: []),
    BasicAudience(name: "Holiday", id: "NE-107-12", topic: kNETopicTime, value: "^(.*,)?holiday(,.*)?$", iab: []),
    BasicAudience(name: "Morning", id: "NE-107-2", topic: kNETopicTime, value: "^(.*,)?morning(,.*)?$", iab: []),
    BasicAudience(name: "Breakfast", id: "NE-107-3", topic: kNETopicTime, value: "^(.*,)?breakfast(,.*)?$", iab: []),
    BasicAudience(name: "Before Lunch", id: "NE-107-4", topic: kNETopicTime, value: "^(.*,)?before-lunch(,.*)?$", iab: []),
    BasicAudience(name: "Lunch", id: "NE-107-5", topic: kNETopicTime, value: "^(.*,)?lunch(,.*)?$", iab: []),
    BasicAudience(name: "Afternoon", id: "NE-107-6", topic: kNETopicTime, value: "^(.*,)?afternoon(,.*)?$", iab: []),
    BasicAudience(name: "Evening", id: "NE-107-7", topic: kNETopicTime, value: "^(.*,)?evening(,.*)?$", iab: []),
    BasicAudience(name: "Dinner", id: "NE-107-8", topic: kNETopicTime, value: "^(.*,)?dinner(,.*)?$", iab: []),
    BasicAudience(name: "Night", id: "NE-107-9", topic: kNETopicTime, value: "^(.*,)?night(,.*)?$", iab: []),
    BasicAudience(name: "Locked", id: "NE-109-1", topic: kNETopicLockStatus, value: "^locked$", iab: []),
    BasicAudience(name: "Unlocked", id: "NE-109-2", topic: kNETopicLockStatus, value: "^unlocked$", iab: []),
    BasicAudience(name: "Device Stationary", id: "NE-111-1", topic: kNETopicDeviceMovement, value: "^stationary$", iab: []),
    BasicAudience(name: "Device Moving", id: "NE-111-2", topic: kNETopicDeviceMovement, value: "^moving$", iab: []),
    BasicAudience(name: "User Stationary", id: "NE-112-1", topic: kNETopicUserMovement, value: "^stationary$", iab: []),
    BasicAudience(name: "User Moving", id: "NE-112-2", topic: kNETopicUserMovement, value: "^moving$", iab: []),
    BasicAudience(name: "Very Hot", id: "NE-115-1", topic: kNETopicWeather, value: "^(.*,)?very-hot(,.*)?$", iab: []),
    BasicAudience(name: "Breezy", id: "NE-115-10", topic: kNETopicWeather, value: "^(.*,)?breezy(,.*)?$", iab: []),
    BasicAudience(name: "Snow", id: "NE-115-11", topic: kNETopicWeather, value: "^(.*,)?snow(,.*)?$", iab: []),
    BasicAudience(name: "Rain", id: "NE-115-12", topic: kNETopicWeather, value: "^(.*,)?rain(,.*)?$", iab: []),
    BasicAudience(name: "Drizzle", id: "NE-115-13", topic: kNETopicWeather, value: "^(.*,)?drizzle(,.*)?$", iab: []),
    BasicAudience(name: "Thunderstorm", id: "NE-115-14", topic: kNETopicWeather, value: "^(.*,)?thunderstorm(,.*)?$", iab: []),
    BasicAudience(name: "Extreme Storm", id: "NE-115-15", topic: kNETopicWeather, value: "^(.*,)?extreme-storm(,.*)?$", iab: []),
    BasicAudience(name: "Hot", id: "NE-115-2", topic: kNETopicWeather, value: "^(.*,)?hot(,.*)?$", iab: []),
    BasicAudience(name: "Warm", id: "NE-115-3", topic: kNETopicWeather, value: "^(.*,)?warm(,.*)?$", iab: []),
    BasicAudience(name: "Cold", id: "NE-115-4", topic: kNETopicWeather, value: "^(.*,)?cold(,.*)?$", iab: []),
    BasicAudience(name: "Freezing", id: "NE-115-5", topic: kNETopicWeather, value: "^(.*,)?freezing(,.*)?$", iab: []),
    BasicAudience(name: "Clear", id: "NE-115-6", topic: kNETopicWeather, value: "^(.*,)?clear(,.*)?$", iab: []),
    BasicAudience(name: "Sunny", id: "NE-115-7", topic: kNETopicWeather, value: "^(.*,)?sunny(,.*)?$", iab: []),
    BasicAudience(name: "Cloudy", id: "NE-115-8", topic: kNETopicWeather, value: "^(.*,)?cloudy(,.*)?$", iab: []),
    BasicAudience(name: "Windy", id: "NE-115-9", topic: kNETopicWeather, value: "^(.*,)?windy(,.*)?$", iab: []),

    // Volume
    BasicAudience(name: "Low Volume", id: "NE-114-1", topic: kNETopicVolumeLevelCategory, value: "^low$", iab: []),
    BasicAudience(name: "Normal Volume", id: "NE-114-2", topic: kNETopicVolumeLevelCategory, value: "^mid$", iab: []),
    BasicAudience(name: "High Volume", id: "NE-114-3", topic: kNETopicVolumeLevelCategory, value: "^high$", iab: [])
]
// swiftlint:enable line_length
